#include "EventManager.h"

EventManager::EventManager()
    : mEvents()
{

}

std::unique_ptr<EventManager> EventManager::Create()
{
    return std::make_unique<EventManager>();
}

UiEvent* EventManager::AddEvent(UiEventUPtr event)
{
    mEvents.push_back(std::move(event));
    return mEvents[mEvents.size()-1].get();
}

void EventManager::ClearEvents()
{
    mEvents.clear();
}
